## libkexiv2 25.08.3+p24.04+vstable+git20251109.0304

=== debian/changelog ===
libkexiv2 (25.08.3+p24.04+vstable+git20251109.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:04:22 +0000

libkexiv2 (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:25 +1000
