=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libexiv2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkexiv2.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkexiv2
Maintainer: Neon CI <neon@kde.org>

Package: libkexiv2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkexiv2qt6 (<< 24.02.1), libkf6kexiv2 (<< 24.02.1)
Provides: libkexiv2qt6, libkf6kexiv2
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkexiv2qt6-dev (<< 24.02.1), libkf6kexiv2-dev (<< 24.02.1)
Provides: libkexiv2qt6-dev, libkf6kexiv2-dev
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate pictures
 metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

Package: libkf6kexiv2
Architecture: all
Depends: libkexiv2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kexiv2-dev
Architecture: all
Depends: libkexiv2-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkexiv2qt6
Architecture: all
Depends: libkexiv2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkexiv2qt6-dev
Architecture: all
Depends: libkexiv2-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
