## libkexiv2 25.08.3+p24.04+vunstable+git20251106.1632

=== debian/changelog ===
libkexiv2 (25.08.3+p24.04+vunstable+git20251106.1632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:32:41 +0000
