## libkexiv2 25.12.0

=== debian/changelog ===
libkexiv2 (25.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.0).
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/libkexiv2qt6-0.symbols: Update symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Jan 2026 22:52:01 -0500
