## libkexiv2 25.12.0+p24.04+vstable+git20251208.1305

=== debian/changelog ===
libkexiv2 (25.12.0+p24.04+vstable+git20251208.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:05:32 +0000

libkexiv2 (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:18 +1000
