## libkexiv2 25.12.0+p24.04+vunstable+git20251208.1305

=== debian/changelog ===
libkexiv2 (25.12.0+p24.04+vunstable+git20251208.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:05:34 +0000
