## libkexiv2 25.12.1

=== debian/changelog ===
libkexiv2 (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 09:41:46 +0000

libkexiv2 (25.12.1-1) unstable; urgency=medium

  * Team upload.
  * debian/libexiv2qt6-0.symbols: Refresh symbols using buildd logs.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Jan 2026 23:11:01 -0500

libkexiv2 (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:16:17 +0000

libkexiv2 (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:15 +0000
