## libkexiv2 25.12.1+p24.04+vunstable+git20260106.1455

=== debian/changelog ===
libkexiv2 (25.12.1+p24.04+vunstable+git20260106.1455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:55:13 +0000
