## libkexiv2 25.12.1+p24.04+vunstable+git20260113.0045

=== CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)
