=== debian/changelog ===
libkexiv2 (25.12.1+p24.04+vunstable+git20260113.0045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 00:45:21 +0000
