## libkexiv2 25.12.2

=== debian/changelog ===
libkexiv2 (25.12.2-0.1mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Feb 2026 21:32:34 -0800

libkexiv2 (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:31:00 +0000
