## libkexiv2 25.12.2+p24.04+vstable+git20260206.1544

=== debian/changelog ===
libkexiv2 (25.12.2+p24.04+vstable+git20260206.1544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:44:32 +0000

libkexiv2 (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:29:13 +0000
